#-----------------------------------------------------------------------------
# Dial cleaner script
# Copyright (c) 2007 David G. Drumright (ockham)
# Activate the script.
# After the script acts, all morphs that don't change during
# the current animation will be hidden.
#-----------------------------------------------------------------------------

import poser
scene = poser.Scene()
scene.SetMeAsStartupScript()

#-----------------------------------------------------------------------------

Last=scene.NumFrames()-1
for OneFigure in scene.Figures():
	for OneActor in OneFigure.Actors():
		for OneParm in OneActor.Parameters():
		   TC=OneParm.TypeCode()
		   if (TC==poser.kParmCodeVALUE) or (TC==poser.kParmCodeTARGET):
			  # Check for changes. If change, don't hide.
			  Hide=1
			  scene.SetFrame(0)
			  Start=OneParm.Value()
			  for F in range(1,Last):
				  scene.SetFrame(F)
				  if OneParm.Value() != Start:
					  Hide=0
					  break
			  if Hide: OneParm.SetHidden(1)
			  else:    OneParm.SetHidden(0)

print "Done."
# That's all, folks!
#-----------------------------------------------------------------------------
