#-----------------------------------------------------------------------------
# Dial cleaner script.
# Copyright (c) 2003 David G. Drumright (ockham)
# Select the figure to clean.  Activate the script.
# After the script acts, all ERC dials named '-'
# (just a minus sign) will be removed.
#-----------------------------------------------------------------------------

import poser

#-----------------------------------------------------------------------------

scene = poser.Scene()

#-----------------------------------------------------------------------------
# For each Actor, remove any dials named '-'
#-----------------------------------------------------------------------------

MinusName = '-'
for OneFigure in scene.Figures():
    for OneActor in OneFigure.Actors():
        for OneParm in OneActor.Parameters():
           if OneParm.Name() == MinusName:
              OneParm.SetHidden(1)


# That's all, folks!
#-----------------------------------------------------------------------------
