#-----------------------------------------------------------------------------
# Dial cleaner script including those named PBMDC,PBMCC and MIC
# Copyright (c) 2005 David G. Drumright (ockham)
# Select the figure to clean.  Activate the script.
# After the script acts, all ERC dials named '-'
# (just a minus sign) will be removed.
#-----------------------------------------------------------------------------

import poser
import string

#-----------------------------------------------------------------------------

scene = poser.Scene()

#-----------------------------------------------------------------------------
# For each Actor, remove any dials named '-'
#-----------------------------------------------------------------------------

for OneFigure in scene.Figures():
	for OneActor in OneFigure.Actors():
		for OneParm in OneActor.Parameters():
		   Name=OneParm.Name()
		   if Name == '-':
			  OneParm.SetHidden(1)
		   if OneParm.Value()==0.0:
			   if string.count(Name,'PBMDC'):
				  OneParm.SetHidden(1)
			   if string.count(Name,'PBMCC'):
				  OneParm.SetHidden(1)
			   if string.count(Name,'MIC'):
				  OneParm.SetHidden(1)


# That's all, folks!
#-----------------------------------------------------------------------------
