#-----------------------------------------------------------------------------
# Unused Morph eliminator.
# Copyright (c) 2003 David G. Drumright (ockham)
# Select the figure to clean.  Activate the script.
# After the script acts, all morph channels currently
# set to 0 will be removed from the menu.
#-----------------------------------------------------------------------------

import poser

#-----------------------------------------------------------------------------

scene = poser.Scene()
scene.SetMeAsStartupScript()

#-----------------------------------------------------------------------------
# For each Actor, remove any dials named '-'
#-----------------------------------------------------------------------------

for OneFigure in scene.Figures():
    for OneActor in OneFigure.Actors():
        for OneParm in OneActor.Parameters():
           if OneParm.IsMorphTarget():
               if OneParm.Value() == 0.0:
                  OneParm.SetHidden(1)


# That's all, folks!
#-----------------------------------------------------------------------------
